Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513432 - [abrt] x2goclient: ssh_poll_ctx_remove(): x2goclient killed by SIGSEGV
Summary: [abrt] x2goclient: ssh_poll_ctx_remove(): x2goclient killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goclient
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:211f1db5d781a6371b0efac2d7b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 11:51 UTC by Oliver Sampson
Modified: 2017-12-12 10:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1351340
Environment:
Last Closed: 2017-12-12 10:04:19 UTC


Attachments (Terms of Use)

Description Oliver Sampson 2017-11-15 11:51:14 UTC
+++ This bug was initially created as a clone of Bug #1351340 +++

Version-Release number of selected component:
x2goclient-4.0.5.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     5574
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ssh_poll_ctx_remove at /usr/src/debug/libssh-0.7.3/src/poll.c:564
 #1 ssh_poll_free at /usr/src/debug/libssh-0.7.3/src/poll.c:311
 #2 ssh_socket_close at /usr/src/debug/libssh-0.7.3/src/socket.c:447
 #3 ssh_client_connection_callback at /usr/src/debug/libssh-0.7.3/src/client.c:436
 #4 ssh_socket_nonblocking_flush at /usr/src/debug/libssh-0.7.3/src/socket.c:667
 #5 ssh_socket_write at /usr/src/debug/libssh-0.7.3/src/socket.c:622
 #6 ssh_packet_write at /usr/src/debug/libssh-0.7.3/src/packet.c:509
 #7 packet_send2 at /usr/src/debug/libssh-0.7.3/src/packet.c:579
 #8 packet_send at /usr/src/debug/libssh-0.7.3/src/packet.c:604
 #9 channel_open at /usr/src/debug/libssh-0.7.3/src/channels.c:296

Potential duplicate: bug 1294212

--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:22 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:23 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:24 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:26 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:27 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:28 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:30 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:32 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:33 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:34 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:35 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:37 EDT ---



--- Additional comment from Thomas Wöckinger on 2016-06-29 15:22:38 EDT ---



--- Additional comment from Orion Poplawski on 2016-06-29 15:48:52 EDT ---

Upstream report: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1050

--- Additional comment from Stuart D Gathman on 2016-06-29 18:50:26 EDT ---

Similar problem has been detected:

Logged out of remote session.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        x2goclient
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     29637
kernel:         4.5.6-300.fc24.x86_64
package:        x2goclient-4.0.5.1-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from Thomas Wöckinger on 2016-10-25 05:39:05 EDT ---



--- Additional comment from Orion Poplawski on 2017-01-04 17:45:45 EST ---



--- Additional comment from Orion Poplawski on 2017-02-01 15:35:58 EST ---



--- Additional comment from Oliver Sampson on 2017-03-03 05:45:47 EST ---

Similar problem has been detected:

o Login with X2Go to remote server.
o excecute command "pkill -u userid" on remote server
o X2Go crashes.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient -session 10cfe56168000148838395500000014740017_1488535044_436081
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     1702
kernel:         4.9.12-200.fc25.x86_64
package:        x2goclient-4.0.5.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from Oliver Sampson on 2017-07-10 04:19:29 EDT ---

Similar problem has been detected:

I quickly closed one session and started a new session on a different remote machine.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        x2goclient -session 1032924d28f2ac000149812123500000123860016_1499439991_476775
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     14382
kernel:         4.11.8-200.fc25.x86_64
package:        x2goclient-4.1.0.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from Fedora End Of Life on 2017-07-25 17:26:04 EDT ---

This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2017-08-08 11:10:41 EDT ---

Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from Oliver Sampson on 2017-10-08 14:57:57 EDT ---

Similar problem has been detected:

When using x2go over a VPN, it crashes. A lot. 

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        x2goclient -session 10cfe56168000150704828600000017650019_1507419020_734810
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     3233
kernel:         4.12.14-200.fc25.x86_64
package:        x2goclient-4.1.0.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from Oliver Sampson on 2017-11-15 06:48:25 EST ---

Similar problem has been detected:

Switching quickly between different remote hosts is a reliable way to cause x2goclient to crash.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient -session 1032924d28f2ac000150823900300000025000014_1510317220_263502
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     3480
kernel:         4.13.12-100.fc25.x86_64
package:        x2goclient-4.1.0.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Fedora End Of Life 2017-11-16 15:37:34 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:04:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.